# Generated from chunky_png-1.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name chunky_png

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}
Summary: Pure ruby library for read/write, chunk-level access to PNG files
License: MIT
URL: https://github.com/wvanbergen/chunky_png/wiki
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(standard)
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
This pure Ruby library can read and write PNG images without depending on
an external
image library, like RMagick. It tries to be memory efficient and reasonably
fast.
It supports reading and writing all PNG variants that are defined in the
specification,
with one limitation: only 8-bit color depth is supported. It supports all
transparency,
interlacing and filtering options the PNG specifications allows. It can also
read and
write textual metadata from PNG files. Low-level read/write access to PNG
chunks is
also possible.
This library supports simple drawing on the image canvas and simple operations
like
alpha composition and cropping. Finally, it can import from and export to
RMagick for
interoperability.
Also, have a look at OilyPNG at https://github.com/wvanbergen/oily_png.
OilyPNG is a
drop in mixin module that implements some of the ChunkyPNG algorithms in C,
which
provides a massive speed boost to encoding and decoding.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.standard.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/benchmarks
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/BENCHMARKING.rdoc
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/CONTRIBUTING.rdoc
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/chunky_png.gemspec
%doc %{gem_instdir}/docs
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.4.0-1
- Initial package
